Dag Wieers <dag@wieers.com>
Mon Nov  8 23:40:54 GMT 2010

Alan Bartlett <ajb@elrepo.org>
Sat Feb 11 11:12:42 UTC 2012

--- rc.sysinit.distro	2012-02-11 11:03:13.000000000 +0000
+++ rc.sysinit	2012-02-11 11:11:05.000000000 +0000
@@ -269,6 +269,19 @@ if [ "$PROMPT" != "no" ]; then
  echo
 fi
 
+### ELREPO: See if the RTC driver is built-in, otherwise load it
+if [ ! -f /proc/driver/rtc ]; then
+    action $"Loading rtc_cmos driver: " /sbin/modprobe rtc_cmos
+fi
+
+### ELREPO: Make the newer device nodes to accomodate hwclock
+RTC_MAJOR_NO=`/bin/awk '/rtc/ { print $1 }' /proc/devices`
+if [ -n "$RTC_MAJOR_NO" ]; then
+    action $"Creating /dev/rtc0: " /bin/mknod /dev/rtc0 c $RTC_MAJOR_NO 0
+    action $"Creating /dev/rtc: " /bin/ln -sf /dev/rtc0 /dev/rtc
+    [ -n "$SELINUX_STATE" ] && restorecon /dev/rtc0 /dev/rtc >/dev/null 2>&1
+fi
+
 # Set the system clock.
 update_boot_stage RCclock
 ARC=0
